Subject: Re: GB code and telegraphy code

From: Jianxun Ding <[email-masked]>
Date: Mon, 27 May 91 01:31:01 CDT

> I heard a while ago that GB code set is from the standard PRC telegraph
> code set.  Is it true?

I remember that last year I posted a message about this issue.

The GB2312 (people call it "GuoBiao Code"; its official name is "Chinese Han
Characters Coding Set for Information Exchange -- Basic Set") was developed
in late '70s or early '80s. Its design was influenced by a Japanese JIS
standard.  It conforms to ISO 2022 (mainland China's GB 2311).  It has been
registed in the ISO and has its unique ESC sequences.  They are:

	G0:	ESC 2/4 4/1
	G1:	ESC 2/4 2/9  4/1
	G2:	ESC 2/4 2/10 4/1
	G3:	ESC 2/4 2/11 4/1

GB 2312 has 6763 "Han" characters, among which 3755 have been
classified as in the 1st level (more frequently used)  and
3008 in the 2nd level (less frequently used).  It also has 682
"non-Han" characters (A, B, C, ... , and other symbols).
The selecting policy was based on the character appearance frequencies
in the published materials in the  political, economical, and scientific
areas.  Thus it has some historical traces. For example, some
characters related to the '70s political terms were classified as
in the 1st level.

Three years ago, I heard that it was planned to establish the
1st and 2nd appendix sets to the GB 2312.  About 16,000 characters
will be chosen among 50,000 "Han" characters.

Chinese Telegram Standard Code is called "DianBao Ma".  It is not
what people usually call the GB code.

-- JianXun Ding
   Department of Computer Science
   Texas A&M University